| ontocount

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Count ontology term(s)

## Description

ontocount reads ontology entries and reports the number of entries found.

## Usage

Here is a sample session with ontocount

    % ontocount edam:1234
    Count ontology term(s)
    Output file [stdout]:

    1

Go to the input files for this example

Example 2

    % ontocount edam:1234 -subclasses
    Count ontology term(s)
    Output file [stdout]:

    5

## Command line arguments

    Count ontology term(s)
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-oboterms]          obo        Obo term filename and optional format, or
                                      reference (input query)
      [-outfile]           outfile    [stdout] Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations
                                      (sub-classes) of the matched terms.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Associated qualifiers:

       "-oboterms" associated qualifiers
       -iformat1           string     Input obo format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-oboterms] (Parameter 1) | obo | Obo term filename and optional format, or reference (input query) | OBO bio-ontology term(s) |
[-outfile] (Parameter 2) | outfile | Output file name | Output file | stdout
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (sub-classes) of the matched terms. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Associated qualifiers
"-oboterms" associated obo qualifiers
-iformat1 -iformat_oboterms | string | Input obo format | Any string |
-iquery1 -iquery_oboterms | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_oboterms | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_oboterms | string | User-provided database name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

The input is a standard EMBOSS ontology query.

The major ontology sources defined as standard in EMBOSS installations are EDAM, GO (gene Ontology) and SO (Sequence Ontology).

Data can also be read from ontology output in "obo" format written by an EMBOSS application.

### Input files for usage example

### Database entry: edam:1234

    [Term]
    id: EDAM_data:1234
    name: Sequence set (nucleic acid)
    namespace: data
    def: Any collection of multiple nucleotide sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0850 ! Sequence set
    is_a: EDAM_data:2977 ! Nucleic acid sequence

## Output file format

ontocount reports the number of ontology terms read.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None